Package org.silverpeas.components.kmelia.servlets.ajax

## Enum AjaxOperation

- java.lang.Object
- - java.lang.Enum<AjaxOperation>
  - - org.silverpeas.components.kmelia.servlets.ajax.AjaxOperation

- All Implemented Interfaces:
    `Serializable`, `Comparable<AjaxOperation>`

      public enum AjaxOperation
      extends Enum<AjaxOperation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `bindToPub` |
    `CopyPublications` |
    `CutPublications` |
    `Delete` |
    `DeletePublications` |
    `EmptyTrash` |
    `GetClipboardState` |
    `GetProfile` |
    `GetPublicationAuthorizations` |
    `GetTopicWysiwyg` |
    `MovePublication` |
    `Paste` |
    `Rename` |
    `SELECTALLPUBLICATIONS` |
    `SortTopics` |
    `unbindToPub` |
    `UpdateTopicStatus` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `handleRequest​(javax.servlet.http.HttpServletRequest request, KmeliaSessionController controller)` |
    `boolean` | `requiresController()` |
    `static AjaxOperation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AjaxOperation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Delete

          public static final AjaxOperation Delete

    - #### GetProfile

          public static final AjaxOperation GetProfile

    - #### SortTopics

          public static final AjaxOperation SortTopics

    - #### EmptyTrash

          public static final AjaxOperation EmptyTrash

    - #### UpdateTopicStatus

          public static final AjaxOperation UpdateTopicStatus

    - #### GetTopicWysiwyg

          public static final AjaxOperation GetTopicWysiwyg

    - #### Rename

          public static final AjaxOperation Rename

    - #### bindToPub

          public static final AjaxOperation bindToPub

    - #### unbindToPub

          public static final AjaxOperation unbindToPub

    - #### Paste

          public static final AjaxOperation Paste

    - #### MovePublication

          public static final AjaxOperation MovePublication

    - #### DeletePublications

          public static final AjaxOperation DeletePublications

    - #### CopyPublications

          public static final AjaxOperation CopyPublications

    - #### CutPublications

          public static final AjaxOperation CutPublications

    - #### GetClipboardState

          public static final AjaxOperation GetClipboardState

    - #### GetPublicationAuthorizations

          public static final AjaxOperation GetPublicationAuthorizations

    - #### SELECTALLPUBLICATIONS

          public static final AjaxOperation SELECTALLPUBLICATIONS

  - ### Method Detail

    - #### values

          public static AjaxOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AjaxOperation c : AjaxOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AjaxOperation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### requiresController

          public boolean requiresController()

    - #### handleRequest

          public String handleRequest​(javax.servlet.http.HttpServletRequest request,
                                      KmeliaSessionController controller)